"""add addons inputs

Revision ID: 1a3a163ad397
Revises: ca66316fc3bb
Create Date: 2024-05-28 11:39:35.330617

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1a3a163ad397'
down_revision = 'd3ffa75fb9e5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('action_input_types', sa.Column('addon_name', sa.String(), nullable=True))
    op.drop_constraint('workflow_action_association_children_fkey', 'workflow_action_association', type_='foreignkey')
    op.drop_constraint('workflow_action_association_parents_fkey', 'workflow_action_association', type_='foreignkey')
    op.create_foreign_key(None, 'workflow_action_association', 'workflow_action', ['children'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'workflow_action_association', 'workflow_action', ['parents'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'workflow_action_association', type_='foreignkey')
    op.drop_constraint(None, 'workflow_action_association', type_='foreignkey')
    op.create_foreign_key('workflow_action_association_parents_fkey', 'workflow_action_association', 'workflow_action', ['parents'], ['id'])
    op.create_foreign_key('workflow_action_association_children_fkey', 'workflow_action_association', 'workflow_action', ['children'], ['id'])
    op.drop_column('action_input_types', 'addon_name')
    # ### end Alembic commands ###
